%global module pychromecast
%global pypi_name PyChromecast

Name:           python-%{module}
Version:        12.1.2
Release:        %mkrel 1
Summary:        Python library to communicate with the Google Chromecast
Group:          Development/Python
License:        MIT
URL:            https://github.com/balloob/pychromecast
Source0:        %{pypi_name}-%{version}.tar.xz
BuildArch:        noarch

%description
Python library to communicate with the Google Chromecast.

%package -n python3-%{module}
Summary:        Library for Python 3 to communicate with the Google Chromecast
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-six
Requires:       python3-requests
Requires:       python3-zeroconf
Requires:       python3-protobuf

%rename python3-chromecast

%description -n python3-%{module}
Python library to communicate with the Google Chromecast.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%files -n python3-%{module}
%doc LICENSE README.rst
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Aug 16 2022 TerryN <terryn94 at gmail.com> 12.1.2-1pclos2022
- update and rebuild for python 3.10

* Sat Jun 15 2019 tex - 3.2.2-1pclos2019
- new

* Wed Apr 18 2018 marcin82 <fixxer1982 at gmail.com> 2.2.0-1pclos2018
- update

* Mon Aug 21 2017 bb2 <bb2> - 0.8.2-1pclos2017
- new
